Page MenuHomePhabricator

MediaWiki.org should redirect user to appropriate Chinese variant and show them based on preferences
Open, Needs TriagePublic

Assigned To
None
Authored By
Cwlin0416
Jul 17 2015, 9:22 AM
Referenced Files
F252089: 1.png
Jul 25 2015, 1:46 AM
F252091: 2.png
Jul 25 2015, 1:46 AM
F251997: MediaWiki-zh-hant MainPage.png
Jul 25 2015, 1:16 AM
F251999: MediaWiki-Chinese page.png
Jul 25 2015, 1:16 AM
F252001: MediaWiki-Cannot translate into Traditional Chinese.png
Jul 25 2015, 1:16 AM
F251737: TNLangConv.png
Jul 24 2015, 11:34 PM
Tokens
"Haypence" token, awarded by deryckchan.

Description

I'm MediaWiki user, as MediaWiki support language Traditional Chinese (zh-hant),
I want translate document at MediaWiki.org to Traditional Chinese (zh-hant), but MediaWiki.org not support Traditional Chinese. I think it will make zh-hant users to use MediaWiki easier.

Before I file this bug i have asked Nemo_bis at MediaWiki.org:
https://www.mediawiki.org/wiki/User_talk:Nemo_bis#Can_i_request_to_add_language_Traditional_Chinese_.28zh-hant.29.3F

Related Objects

StatusSubtypeAssignedTask
In ProgressWinston_Sung
In ProgressWinston_Sung
OpenNone
Resolved Nikerabbit
ResolvedWinston_Sung
ResolvedWinston_Sung
ResolvedBUG REPORTWinston_Sung
OpenNone
ResolvedBUG REPORTXiplus
StalledNone
StalledNone
ResolvedNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
Resolvedcscott
Invalid GWicke
Resolvedliangent
Resolvedthiemowmde
OpenNone
Resolvedcscott
Resolvedcscott
Resolved Elitre
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
OpenNone
DuplicateBUG REPORTNone
Resolvedcscott
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedBUG REPORTJgiannelos
OpenNone
OpenNone

Event Timeline

Cwlin0416 raised the priority of this task from to Needs Triage.
Cwlin0416 updated the task description. (Show Details)
Cwlin0416 added a project: MediaWiki-General.
Cwlin0416 subscribed.

This is not a task specified to metawiki.

In fact zh-hant is disabled on purpose

Bugreporter renamed this task from MediaWiki.org not support language Traditional Chinese (zh-hant). to Make Language converter work for multilingual wikis.Jul 18 2015, 5:19 PM
Bugreporter updated the task description. (Show Details)

By interface it works

TNLangConv.png (802×1 px, 72 KB)

Is this requesting that it works like zhwiki, i.e. directly point to zh-cn in Mainland China, and directly point to zh-tw in Taiwan, instead of de facto zh?

Following are actually the problems I request, not only Language converter:

  1. My language is "Traditional Chinese" on the top of page, but content is not (only few parts).
  2. Content pages only support Chinese not Traditional Chinese, and need to select variants converter manually.
  3. If i want to translate pages into Traditional Chinese, the message "Translate into zh please" shows up.
  4. Language converter maybe is a solution, but it's seems work not very well.

MediaWiki-zh-hant MainPage.png (1×1 px, 324 KB)

MediaWiki-Chinese page.png (2×1 px, 572 KB)

MediaWiki-Cannot translate into Traditional Chinese.png (742×1 px, 111 KB)

Cwlin0416 renamed this task from Make Language converter work for multilingual wikis to MediaWiki.org not support language Traditional Chinese (zh-hant)..Jul 25 2015, 1:19 AM
Cwlin0416 updated the task description. (Show Details)

Your second screenshot hits my problem too.

1.png (128×887 px, 7 KB)

2.png (38×495 px, 4 KB)

Which shouldn't happen

Not sure how the TUX developers think about this, and I'm afraid this may conflict with T51898.

T51898 is definitely a known bug. I removed MediaWiki-extensions-Translate as this is Wikimedia configuration issue. Easiest way to solve this might be to remove the restriction on zh-hans and zh-hant.

Nemo_bis renamed this task from MediaWiki.org not support language Traditional Chinese (zh-hant). to MediaWiki.org does not allow translating to Traditional Chinese (zh-hant)..Sep 10 2015, 6:52 AM

Clearly false positive, this is about mediawiki.org, not any zh.wiki* projects (is there any one that Translate extension installed?)

@Nikerabbit I'm afraid that, I may need to add Translate extension tag back in order to hold up T106131#2903173 and T106131#2903195, because if I read the past discussions correctly, this is affecting the compatibility of THE MediaWiki-Language-converter FEATURE in Translate extension, can you give me some suggestions here?

@Nikerabbit I'm afraid that, I may need to add Translate extension tag back in order to hold up T106131#2903173 and T106131#2903195, because if I read the past discussions correctly, this is affecting the compatibility of THE MediaWiki-Language-converter FEATURE in Translate extension, can you give me some suggestions here?

@Nikerabbit ^BUMPING with same comment here^

I agree with @Bugreporter and @Liuxinyu970226 that this is disabled on purpose to reduce the number of redundant zh- translations. The solution here should be that

  1. Users whose interface language is zh-* (rather than zh) should jump straight to the appropriate Chinese variant when they click on a page on which Chinese character and phrase conversion is enabled
  2. Fix any specific issues on Chinese conversion extension (@Cwlin0416 - please tell the devs what exactly isn't working), not by re-enabling direct translations to zh- variants on multilingual Wikimedia projects.

See also T150083 which is the same issue on Meta and Commons.

deryckchan renamed this task from MediaWiki.org does not allow translating to Traditional Chinese (zh-hant). to MediaWiki.org translate extension should redirect user to appropriate Chinese variant based on preferences.Mar 10 2017, 12:45 AM
Winston_Sung renamed this task from MediaWiki.org translate extension should redirect user to appropriate Chinese variant based on preferences to MediaWiki.org translate extension should redirect user to appropriate Chinese variant and show them based on preferences.Mar 21 2023, 7:05 AM
Winston_Sung moved this task from Untriaged to Multilanguage & Language variants on the I18n board.
Winston_Sung moved this task from Extensions/Skins to Core on the MediaWiki-Language-converter board.
Winston_Sung renamed this task from MediaWiki.org translate extension should redirect user to appropriate Chinese variant and show them based on preferences to MediaWiki.org should redirect user to appropriate Chinese variant and show them based on preferences.Mar 21 2023, 7:08 AM

@Nikerabbit has T106131#1481833 been fixed in the meantime? If not, that’s probably a Translate bug.